
package samples;

import java.awt.dnd.DragGestureEvent;
import java.awt.dnd.DragSourceDragEvent;
import java.awt.dnd.DragSourceDropEvent;
import java.awt.dnd.DragSourceEvent;
import java.awt.dnd.DropTargetDragEvent;
import java.awt.dnd.DropTargetDropEvent;
import java.awt.dnd.DropTargetEvent;
import java.awt.event.WindowEvent;

public class DNDListDriver extends python.PyDriver
  implements
    java.awt.dnd.DropTargetListener,
    java.awt.dnd.DragSourceListener,
    java.awt.dnd.DragGestureListener,
    java.awt.event.WindowListener
{
  public DNDListDriver( java.util.Map vtrap)
  {
    super( vtrap);
  }

  public void dragEnter( DropTargetDragEvent event)
  { pythonCall( "dragEnter", event); }

  public void dragExit( DropTargetEvent event)
  { pythonCall( "dragExit", event); }

  public void dragOver( DropTargetDragEvent event)
  { pythonCall( "dragOver", event); }

  public void drop( DropTargetDropEvent event)
  { pythonCall( "drop", event); }

  public void dropActionChanged( DropTargetDragEvent event)
  { pythonCall( "dropActionChanged", event); }

  public void dragGestureRecognized( DragGestureEvent event)
  { pythonCall( "dragGestureRecognized", event); }

  public void dragDropEnd( DragSourceDropEvent event)
  { pythonCall( "dragDropEnd", event); }

  public void dragEnter( DragSourceDragEvent event)
  { pythonCall( "dragEnter_DragSourceDragEvent", event); }

  public void dragExit( DragSourceEvent event)
  { pythonCall( "dragExit_DragSourceEvent", event); }

  public void dragOver( DragSourceDragEvent event)
  { pythonCall( "dragOver_DragSourceDragEvent", event); }

  public void dropActionChanged( DragSourceDragEvent event)
  { pythonCall( "dropActionChanged_DragSourceDragEvent", event); }

  //java.awt.event.WindowListener callbackss

  public void windowActivated( WindowEvent event)
  { pythonCall( "windowActivated", event); }

  public void windowClosed( WindowEvent event)
  { pythonCall( "windowClosed", event); }

  public void windowClosing( WindowEvent event)
  { pythonCall( "windowClosing", event); }

  public void windowDeactivated( WindowEvent event)
  { pythonCall( "windowDeactivated", event); }

  public void windowDeiconified( WindowEvent event)
  { pythonCall( "windowDeiconified", event); }

  public void windowIconified( WindowEvent event)
  { pythonCall( "windowIconified", event); }

  public void windowOpened( WindowEvent event)
  { pythonCall( "windowOpened", event); }
}
